
@font-face {
  font-family: Nintendo;
  src: url('https://font-wrld.neocities.org/fonts/NDS-BIOS.ttf');
  font-weight: normal;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: white;
  background-image: url("/img/neocities_bg.png");
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  font-family: MS UI Gothic;
  margin: 0;
  padding: 0;
}

.wrapper {
  display: grid;
  grid-template-columns: 180px 1fr;
  grid-template-rows: 90px 400px auto;
  gap: 15px;
  min-height: calc(50vh - 40px);
  margin-left: calc(50% - 747px);
  width: 1300px;
  max-width: 1300px;
}

.sidebar {
  grid-column: 1;
  grid-row: 1 / 3;
  /*(c) solielios*/
  border-width: 12px;
  border-style: solid;
  border-image: url("https://i.imgur.com/gTFIwdW.png") 11 fill round; 
  padding: 16px;
  background-color: #ffa1d6;
  background-image: linear-gradient(to top, #e18aaa, #e4a0b7, #ecbdc4);
  background-clip: padding-box;
  background-size: cover;
}

.buttons {
  grid-column: 1;
  grid-row: 3;
  display: flex;
  flex-direction: column;
  align-items: center;
  max-height: 200px;
}

.header {
  grid-column: 2;
  grid-row: 1;
  display: flex;
  align-items: center;
  border-width: 12px;
  border-style: solid;
  border-image: url("https://i.imgur.com/gTFIwdW.png") 11 fill round; 
  padding: 16px;
  background-color: #e4a0b7;
  background-clip: padding-box;
  height: 100%;
 }

.main {
  grid-column: 2;
  grid-row: 2;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  min-height: 900px;
  border-width: 12px;
  border-style: solid;
  border-image: url("https://i.imgur.com/gTFIwdW.png") 11 fill round; 
  padding: 16px;
  background-color: #ffa1d6;
  background-image: linear-gradient(to top, #e18aaa, #e4a0b7, #ecbdc4);
  background-clip: padding-box;
  background-size: cover;
}

.headshot {
  width: 350px;
  max-width: 350px;
  height: auto;
}

.headshot-text {
  font-family: 'Palatino Linotype'; 
  font-size: 24px; 
  color: #3D2B32; 
  margin-top: 24px;
}

.main-text {
  text-align: justify;
  margin: 15px 15px 0 15px;
  width: calc(100% - 30px); 
}

.main-scrollbox {
  height: 200px;
  overflow-y: scroll;
  text-align: justify;
  margin: 15px;
  padding: 5px;
}

.spinhead {
  display: flex;
  justify-content: center;
  margin: 0 auto;
  width: 300px;
  height: 300px;
  overflow: hidden;
}

.containerimg {
  display: flex;
  justify-content: center;
  width: 100%;
  height: 100%;
}

.index {
  text-align: center;
  font-family: MS UI Gothic;
}

.side-scroll {
  position: fixed;
  right: 300px;
  top: 0;
  width: 200px;
  height: 100vh;
  overflow: hidden;
  z-index: -1;
}

.side-scroll-inner {
  display: flex;
  flex-direction: column;
  animation: scrollDown 8s linear infinite;
}

.side-scroll-inner img {
  width: 300px;
  height: auto;
}

.myImageMask {
  -webkit-mask-image: url("https://i.imgur.com/1PjqQS6.png");
  -webkit-mask-size: 190%;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
}

#wavyul:hover { 
  text-decoration-line: underline;
  text-decoration-style: wavy;
}

#strong:hover { 
  font-weight: 800;
}

#scrolling-img {
  position: absolute;
  width: 300px;
  height: auto;
  top: 0;
}

#container {
  overflow: scroll;
  overflow-x: hidden;
  height: 10em;
  padding: 1rem;
}

#container::-webkit-scrollbar {
  width: 8px;
}

#container::-webkit-scrollbar-track {
  background-color: #ecbdc4;
  -webkit-border-radius: 10px;
  border-radius: 10px;
  border: 1px solid #ccc;
}

#container::-webkit-scrollbar-thumb {
  -webkit-border-radius: 10px;
  border-radius: 10px;
  background: #e4e4e4;
  border: 1px solid #aaa;
}

@-webkit-keyframes snowflakes-fall {
		0% {
			top: -10%
		}
		100% {
			top: 100%
		}
	}
	
	@-webkit-keyframes snowflakes-shake {
		0%,
		100% {
			-webkit-transform: translateX(0);
			transform: translateX(0)
		}
		50% {
			-webkit-transform: translateX(80px);
			transform: translateX(80px)
		}
	}
	
	@keyframes snowflakes-fall {
		0% {
			top: -10%
		}
		100% {
			top: 100%
		}
	}
	
	@keyframes snowflakes-shake {
		0%,
		100% {
			transform: translateX(0)
		}
		50% {
			transform: translateX(80px)
		}
	}
	
	.snowflake {
		position: fixed;
		top: -10%;
		z-index: 9999;
		-webkit-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;
		-webkit-animation-name: snowflakes-fall, snowflakes-shake;
		-webkit-animation-duration: 10s, 3s;
		-webkit-animation-timing-function: linear, ease-in-out;
		-webkit-animation-iteration-count: infinite, infinite;
		-webkit-animation-play-state: running, running;
		animation-name: snowflakes-fall, snowflakes-shake;
		animation-duration: 10s, 3s;
		animation-timing-function: linear, ease-in-out;
		animation-iteration-count: infinite, infinite;
		animation-play-state: running, running
	}
	
	.snowflake:nth-of-type(0) {
		left: 1%;
		-webkit-animation-delay: 0s, 0s;
		animation-delay: 0s, 0s
	}
	
	.snowflake:nth-of-type(1) {
		left: 10%;
		-webkit-animation-delay: 1s, 1s;
		animation-delay: 1s, 1s
	}
	
	.snowflake:nth-of-type(2) {
		left: 20%;
		-webkit-animation-delay: 6s, .5s;
		animation-delay: 6s, .5s
	}
	
	.snowflake:nth-of-type(3) {
		left: 30%;
		-webkit-animation-delay: 4s, 2s;
		animation-delay: 4s, 2s
	}
	
	.snowflake:nth-of-type(4) {
		left: 40%;
		-webkit-animation-delay: 2s, 2s;
		animation-delay: 2s, 2s
	}
	
	.snowflake:nth-of-type(5) {
		left: 50%;
		-webkit-animation-delay: 8s, 3s;
		animation-delay: 8s, 3s
	}
	
	.snowflake:nth-of-type(6) {
		left: 60%;
		-webkit-animation-delay: 6s, 2s;
		animation-delay: 6s, 2s
	}
	
	.snowflake:nth-of-type(7) {
		left: 70%;
		-webkit-animation-delay: 2.5s, 1s;
		animation-delay: 2.5s, 1s
	}
	
	.snowflake:nth-of-type(8) {
		left: 80%;
		-webkit-animation-delay: 1s, 0s;
		animation-delay: 1s, 0s
	}
	
	.snowflake:nth-of-type(9) {
		left: 90%;
		-webkit-animation-delay: 3s, 1.5s;
		animation-delay: 3s, 1.5s
	}
	
	.snowflake:nth-of-type(10) {
		left: 25%;
		-webkit-animation-delay: 2s, 0s;
		animation-delay: 2s, 0s
	}
	
	.snowflake:nth-of-type(11) {
		left: 65%;
		-webkit-animation-delay: 4s, 2.5s;
		animation-delay: 4s, 2.5s
	}

